# Rackprof

Middleware which displays GC, sampling call-stack on dashboard using GC.stat, [stackprof](https://github.com/tmm1/stackprof).

Only supports for ruby 2.1+ and [thin](https://github.com/macournoyer/thin) web server at the moment.

![image](https://raw.githubusercontent.com/wiki/hbd225/rackprof/images/sample.png)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rackprof'
```

### Rails

Nothing to do!

### Sinatra

```ruby
require 'rackprof'
class MyApp < Sinatra::Base
  use Rackprof::Middleware
end
```

### Rack

In your `config.ru` add `use RackProf` line:

```ruby
require 'rackprof'
use Rackprof::Middleware
```

## Usage

Access to dashboard page which is automatically mounted at `/rackprof`:

```
http://localhost:3000/rackprof
```

## Contributing

1. Fork it ( https://github.com/[my-github-username]/rackprof/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
